Package com.smartgwt.client.form.events

# Class MemberSynchronizedEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<MemberSynchronizedHandler>
com.smartgwt.client.form.events.MemberSynchronizedEvent

public class MemberSynchronizedEvent extends AbstractSmartEvent<MemberSynchronizedHandler>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MemberSynchronizedEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `dispatch(MemberSynchronizedHandler handler)`
  `static <S extends HasMemberSynchronizedHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<MemberSynchronizedHandler>`
  `getAssociatedType()`
  `Canvas`
  `getMember()`
  Member component that has just completed synchronization
  `static GwtEvent.Type<MemberSynchronizedHandler>`
  `getType()`
  Gets the type associated with this event.

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MemberSynchronizedEvent

    public MemberSynchronizedEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### fire

    public static <S extends HasMemberSynchronizedHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<MemberSynchronizedHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(MemberSynchronizedHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<MemberSynchronizedHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<MemberSynchronizedHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<MemberSynchronizedHandler>`

  - ### getMember

    public Canvas getMember()
    Member component that has just completed synchronization
    Returns:
      Member component that has just completed synchronization